/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ABOUT                            1       /* callback function: aboutPanel */
#define  ABOUT_PICTURE                    2
#define  ABOUT_TEXTMSG                    3
#define  ABOUT_TEXTMSG_2                  4
#define  ABOUT_TEXTMSG_3                  5
#define  ABOUT_PROGVER                    6
#define  ABOUT_TEXTMSG_7                  7
#define  ABOUT_LIBVER                     8
#define  ABOUT_TEXTMSG_4                  9
#define  ABOUT_TEXTMSG_5                  10
#define  ABOUT_TEXTMSG_6                  11
#define  ABOUT_TEXTMSG_8                  12

#define  DEMO                             2       /* callback function: mainPanel */
#define  DEMO_SELECT                      2       /* callback function: buttons */
#define  DEMO_SEND                        3       /* callback function: buttons */
#define  DEMO_CLRRCV                      4       /* callback function: buttons */
#define  DEMO_EXIT                        5       /* callback function: buttons */
#define  DEMO_PROGVER                     6
#define  DEMO_tmrCheckForMessages         7       /* callback function: tmrCheckForMessages */
#define  DEMO_tmrRetransmitMessage        8       /* callback function: tmrRetransmitMessage */
#define  DEMO_RCVMSGS                     9
#define  DEMO_LIBVER                      10
#define  DEMO_RID                         11
#define  DEMO_MORE                        12      /* callback function: buttons */
#define  DEMO_TID                         13
#define  DEMO_XMIT                        14
#define  DEMO_TEXTMSG_4                   15
#define  DEMO_DECORATION                  16
#define  DEMO_TEXTMSG                     17
#define  DEMO_TEXTMSG_2                   18
#define  DEMO_DECORATION_2                19
#define  DEMO_SN                          20
#define  DEMO_DNAME                       21
#define  DEMO_RPT                         22      /* callback function: buttons */
#define  DEMO_RATE                        23      /* callback function: buttons */
#define  DEMO_OUTLEN                      24
#define  DEMO_INLEN                       25
#define  DEMO_VID                         26
#define  DEMO_PID                         27

#define  LIST                             3
#define  LIST_OPEN                        2       /* callback function: listButtons */
#define  LIST_REFRESH                     3       /* callback function: listButtons */
#define  LIST_CLOSE                       4       /* callback function: listButtons */
#define  LIST_TABLE                       5
#define  LIST_TEXTMSG                     6


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                             1
#define  MENU_HELP                        2
#define  MENU_HELP_ABOUT                  3       /* callback function: menu */
#define  MENU_EXIT                        4       /* callback function: menu */


     /* Callback Prototypes: */

int  CVICALLBACK aboutPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK buttons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK listButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK mainPanel(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK tmrCheckForMessages(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK tmrRetransmitMessage(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
